Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2699633006: Move WebpDecoder from ios/web to components/image_fetcher (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by gambard (OOO til June 6)
Modified:
3 months, 1 week ago
Reviewers:
sdefresne, urvang
CC:
chromium-reviews, jdonnelly+watch_chromium.org, pkl -pls.ping.after.24h., droger+watchlist_chromium.org, blundell+watchlist_chromium.org, sdefresne+watchlist_chromium.org, Eugene But, noyau+watch_chromium.org, marq+watch_chromium.org, sdefresne+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move WebpDecoder from ios/web to components/image_fetcher As iOS now use the ImageFetcher from components, the WebPDecoder should also live in components/image_fetcher/ios. BUG=683918 Review-Url: https://codereview.chromium.org/2699633006 Cr-Commit-Position: refs/heads/master@{#451596} Committed: https://chromium.googlesource.com/chromium/src/+/a1313959f214f8eea4efa3fd9fe6ed0ee7cffaf1

Patch Set 1 #

Patch Set 2 : git cl web #

Patch Set 3 : Fix tests #

Patch Set 4 : Rebase #

Total comments: 4

Patch Set 5 : Separate header #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -758 lines) Patch
M components/image_fetcher/ios/BUILD.gn View 3 chunks +22 lines, -2 lines 0 comments Download
M components/image_fetcher/ios/DEPS View 1 chunk +3 lines, -0 lines 0 comments Download
M components/image_fetcher/ios/ios_image_data_fetcher_wrapper.mm View 1 1 chunk +1 line, -1 line 0 comments Download
M components/image_fetcher/ios/ios_image_data_fetcher_wrapper_unittest.mm View 1 1 chunk +1 line, -1 line 0 comments Download
A + components/image_fetcher/ios/webp_decoder.h View 1 2 chunks +3 lines, -3 lines 0 comments Download
A + components/image_fetcher/ios/webp_decoder.mm View 1 2 3 4 1 chunk +3 lines, -2 lines 0 comments Download
A + components/image_fetcher/ios/webp_decoder_unittest.mm View 1 2 3 4 2 chunks +4 lines, -3 lines 0 comments Download
A + components/test/data/webp_transcode/OWNERS View 0 chunks +-1 lines, --1 lines 0 comments Download
A + components/test/data/webp_transcode/test.jpg View Binary file 0 comments Download
A + components/test/data/webp_transcode/test.webp View Binary file 0 comments Download
A + components/test/data/webp_transcode/test_alpha.png View Binary file 0 comments Download
A + components/test/data/webp_transcode/test_alpha.webp View Binary file 0 comments Download
A + components/test/data/webp_transcode/test_small.tiff View Binary file 0 comments Download
A + components/test/data/webp_transcode/test_small.webp View Binary file 0 comments Download
M ios/chrome/browser/suggestions/BUILD.gn View 1 chunk +0 lines, -1 line 0 comments Download
M ios/chrome/browser/suggestions/ios_image_decoder_impl.mm View 1 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/omnibox/BUILD.gn View 1 chunk +0 lines, -1 line 0 comments Download
M ios/chrome/test/BUILD.gn View 1 2 3 1 chunk +0 lines, -1 line 0 comments Download
M ios/web/BUILD.gn View 1 3 chunks +0 lines, -3 lines 0 comments Download
D ios/web/public/image_fetcher/BUILD.gn View 1 chunk +0 lines, -48 lines 0 comments Download
D ios/web/public/image_fetcher/DEPS View 1 chunk +0 lines, -4 lines 0 comments Download
D ios/web/public/image_fetcher/OWNERS View 1 chunk +0 lines, -2 lines 0 comments Download
D ios/web/public/image_fetcher/webp_decoder.h View 1 1 chunk +0 lines, -99 lines 0 comments Download
D ios/web/public/image_fetcher/webp_decoder.mm View 1 1 chunk +0 lines, -309 lines 0 comments Download
D ios/web/public/image_fetcher/webp_decoder_unittest.mm View 1 chunk +0 lines, -276 lines 0 comments Download
D ios/web/test/data/webp_transcode/OWNERS View 1 chunk +0 lines, -2 lines 0 comments Download
D ios/web/test/data/webp_transcode/test.jpg View Binary file 0 comments Download
D ios/web/test/data/webp_transcode/test.webp View Binary file 0 comments Download
D ios/web/test/data/webp_transcode/test_alpha.png View Binary file 0 comments Download
D ios/web/test/data/webp_transcode/test_alpha.webp View Binary file 0 comments Download
D ios/web/test/data/webp_transcode/test_small.tiff View Binary file 0 comments Download
D ios/web/test/data/webp_transcode/test_small.webp View Binary file 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (17 generated)
gambard (OOO til June 6)
PTAL. +urvang@ for the DEPS include of third_party/libwebp (moved from ios/web/public/image_fetcher to components/image_fetcher/ios).
3 months, 1 week ago (2017-02-17 09:14:46 UTC) #2
sdefresne
Can you send this to the ios-simulator try bot? I want to check that the ...
3 months, 1 week ago (2017-02-17 10:29:39 UTC) #3
urvang
On 2017/02/17 10:29:39, sdefresne wrote: > Can you send this to the ios-simulator try bot? ...
3 months, 1 week ago (2017-02-17 18:13:16 UTC) #12
gambard (OOO til June 6)
sdefresne: bot cleared, PTAL.
3 months, 1 week ago (2017-02-20 09:52:25 UTC) #15
sdefresne
lgtm https://codereview.chromium.org/2699633006/diff/50001/components/image_fetcher/ios/webp_decoder.mm File components/image_fetcher/ios/webp_decoder.mm (right): https://codereview.chromium.org/2699633006/diff/50001/components/image_fetcher/ios/webp_decoder.mm#newcode9 components/image_fetcher/ios/webp_decoder.mm:9: #include <stdint.h> nit: blank line to separate system ...
3 months, 1 week ago (2017-02-20 09:56:23 UTC) #16
gambard (OOO til June 6)
Thanks! https://codereview.chromium.org/2699633006/diff/50001/components/image_fetcher/ios/webp_decoder.mm File components/image_fetcher/ios/webp_decoder.mm (right): https://codereview.chromium.org/2699633006/diff/50001/components/image_fetcher/ios/webp_decoder.mm#newcode9 components/image_fetcher/ios/webp_decoder.mm:9: #include <stdint.h> On 2017/02/20 09:56:23, sdefresne wrote: > ...
3 months, 1 week ago (2017-02-20 10:08:50 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699633006/70001
3 months, 1 week ago (2017-02-20 10:09:17 UTC) #22
commit-bot: I haz the power
3 months, 1 week ago (2017-02-20 11:29:14 UTC) #25
Message was sent while issue was closed.
Committed patchset #5 (id:70001) as
https://chromium.googlesource.com/chromium/src/+/a1313959f214f8eea4efa3fd9fe6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06